Create a document pack Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/document-pack/document-pack
application/json

Body

  • name string Required

    Name of the document pack.

  • description string Required

    Short description of the document pack.

  • is_template boolean

    Denotes whether document pack is a template or not.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • is_template string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/document-pack/document-pack
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/document-pack/document-pack' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Terms and Conditions","description":"Terms and Conditions for our services","is_template":true}'
Request examples
{
  "name": "Terms and Conditions",
  "description": "Terms and Conditions for our services",
  "is_template": true
}
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "1e3bc28b-92b4-4d48-8209-d44304f057d8",
        "created_at": "2026-08-07T15:29:25+01:00",
        "updated_at": "2026-08-07T15:29:25+01:00",
        "name": "Name of Document Pack",
        "description": "Description of Document Pack",
        "is_template": "Is Document Pack a template"
      }
    ]
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}